<?php

/**
 * AWD SMS API config form.
 */
function awd_sms_settings_form($form, &$form_state) {
	$form = array();

	$form['awd_sms_login'] = array(
		'#type' => 'textfield',
		'#title' => t('Your login on SMSC'), 
		'#default_value' => variable_get('awd_sms_login', ''),
		'#description' => t('Your login on SMSC site. If you don\'t heve an accaunt - you need register on <a href="http://www.smsc.ua/reg/?AD343371" title="Register on service" target="_blank">smsc site</a>.'),
		'#required' => TRUE,
	);

	$form['awd_sms_password'] = array(
		'#type' => 'textfield',
		'#title' => t('Your password on SMSC'), 
		'#default_value' => variable_get('awd_sms_password', ''),
		'#description' => t('Your password on SMSC site. If you don\'t heve an accaunt - you need register on <a href="http://www.smsc.ua/reg/?AD343371" title="Register on service" target="_blank">smsc site</a>.'),
		'#required' => TRUE,
	);

	$form['awd_sms_sender_id'] = array(
		'#type' => 'textfield',
		'#title' => t('Default Sender ID'), 
		'#default_value' => variable_get('awd_sms_sender_id', ''),
		'#description' => t('You can add your Sender ID\'s <a href="http://smsc.ua/senders/?AD343371" title="Register on service" target="_blank">here</a>.'),
	);

	return system_settings_form($form);
}